Bug 121608 - Kudzu does not add mount point for Winbond USB Memory Stick
Kudzu does not add mount point for Winbond USB Memory Stick
Product: Fedora
Classification: Fedora
Component: kudzu (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Depends On:
  Show dependency treegraph
Reported: 2004-04-23 15:51 EDT by Aaron Schlaegel
Modified: 2014-03-16 22:44 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-26 12:03:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Aaron Schlaegel 2004-04-23 15:51:34 EDT
Description of problem:
There needs to be an entry for "General USB Disk Drive" in

This is a usb pen drive that holds a memory stick.

kudzu reports:
 class: HD
 bus: SCSI
 detached: 0
 device: sda
 driver: ignore
 desc: "General USB Disk Drive"
 host: 1
 id: 0
 channel: 0
 lun: 0
 generic: sg1

I added this to the flash section of updfstab.conf:
 match   hd "USB Disk"

I added it to my flash section because it is easier to explain to my
mother that those usb thingies are all accessed in "flash".

Version-Release number of selected component (if applicable):
Comment 1 Bill Nottingham 2004-04-23 15:54:15 EDT
The problem I see here is that it's completely unclear which partition
you'd use, or even *want* to use here. And so, you could have multiple
sections it would belong in.
Comment 2 Aaron Schlaegel 2004-04-23 16:44:50 EDT
This is effectively a pen drive that just happens to use a memory stick.

The memory sticks come preformatted from Sony, so unless a user does
something odd, it will be partition one.

I have successfully used the following configuration for the last few
months on quite a few systems.

device flash {
    partition 1
    match   hd CompactFlash
    match   hd ImageMate
    match   hd IntelligentStick
    match   hd "USB Disk"

I am planning on creating a new bug for the IntelligentStick.
Comment 3 Bill Nottingham 2004-04-23 23:53:56 EDT
Yes, I'm just afraid that "USB Disk" will match other, unrelated, things.
Comment 4 Aaron Schlaegel 2004-04-28 02:31:13 EDT
I see your point that "USB Disk" is not specific enough.

If "General USB Disk Drive" is a string from the usb device, then it
would be wise to use the whole string.

If nothing is provided by the usb device and the kernel is making up
"General USB Disk Drive", then it would be nice to mount all auto
detectable partitions.
Comment 5 EJ Finneran 2004-05-19 00:19:47 EDT
I had a similar problem.  I have an old Linksys USB flash drive that 
reports itself as an "Instant USB Disk" so I had to add: 
match   hd "Instant USB Disk" 
to the device flash section in updfstab.conf.default.  But if "USB 
Disk" was used it would solve both problems. 
Comment 6 Aaron Schlaegel 2004-06-23 01:59:47 EDT
I would really like this to make it in.

If you are against "General USB Disk Drive" because it is too general
for "flash", then how about adding a new "usbstorage" or "usbdrive"

I also notice that the general sounding "Generic Traveling Disk" is
also in flash.
Comment 7 Aaron Schlaegel 2004-07-07 13:36:33 EDT
I changed the summary to make it might better explain the problem.

Here is the `lsusb -v`

Bus 003 Device 002: ID 0416:7722 Winbond Electronics Corp.
Device Descriptor:
  bLength                18
  bDescriptorType         1
  bcdUSB               1.10
  bDeviceClass            0 (Defined at Interface level)
  bDeviceSubClass         0
  bDeviceProtocol         0
  bMaxPacketSize0         8
  idVendor           0x0416 Winbond Electronics Corp.
  idProduct          0x7722
  bcdDevice            1.00
  iManufacturer           0
  iProduct                1 USB MS Card Reader.
  iSerial                 0
  bNumConfigurations      1
  Configuration Descriptor:
    bLength                 9
    bDescriptorType         2
    wTotalLength           39
    bNumInterfaces          1
    bConfigurationValue     1
    iConfiguration          0
    bmAttributes         0x80
    MaxPower              100mA
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
      bAlternateSetting       0
      bNumEndpoints           3
      bInterfaceClass         8 Mass Storage
      bInterfaceSubClass      5 SFF-8070i
      bInterfaceProtocol      0
      iInterface              0
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x01  EP 1 OUT
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               none
          Usage Type               Data
        wMaxPacketSize     0x0040  bytes 64 once
        bInterval               0
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x82  EP 2 IN
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               none
          Usage Type               Data
        wMaxPacketSize     0x0040  bytes 64 once
        bInterval               0
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x83  EP 3 IN
        bmAttributes            3
          Transfer Type            Interrupt
          Synch Type               none
          Usage Type               Data
        wMaxPacketSize     0x0002  bytes 2 once
        bInterval               1
  Language IDs: (length=4)
     0409 English(US)
Comment 8 Matthew Miller 2005-04-26 11:54:50 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 9 Bill Nottingham 2005-04-26 12:03:14 EDT
This is now handled by HAL and fstab-sync in later releases. As such, updfstab
is unlikely to be modified.

Note You need to log in before you can comment on or make changes to this bug.